List MCP Integrations
curl --request GET \
--url https://api.portkey.ai/v1/mcp-integrations \
--header 'x-portkey-api-key: <api-key>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner_id": "<string>",
"status": "<string>",
"url": "<string>",
"configurations": {},
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"workspace_id": "<string>",
"description": "<string>",
"workspaces_count": 123,
"secret_mappings": [
{
"target_field": "key",
"secret_reference_id": "my-aws-secret",
"secret_key": "<string>",
"value_format": "json"
}
]
}
],
"total": 123,
"has_more": true
}List MCP Integrations
List MCP Integrations for the organisation or workspace. Requires organisation_id (when using org admin API key) or x-portkey-api-key header.
GET
/
mcp-integrations
List MCP Integrations
curl --request GET \
--url https://api.portkey.ai/v1/mcp-integrations \
--header 'x-portkey-api-key: <api-key>'{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"owner_id": "<string>",
"status": "<string>",
"url": "<string>",
"configurations": {},
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"slug": "<string>",
"workspace_id": "<string>",
"description": "<string>",
"workspaces_count": 123,
"secret_mappings": [
{
"target_field": "key",
"secret_reference_id": "my-aws-secret",
"secret_key": "<string>",
"value_format": "json"
}
]
}
],
"total": 123,
"has_more": true
}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-fix-cache-hit-elaborate.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Query Parameters
Organisation ID (required when using org admin API key)
Available options:
workspace, organisation, all Required range:
1 <= x <= 1000Required range:
x >= 0Last modified on May 21, 2026
Was this page helpful?
⌘I

